GET/api/v2/cards/{cardId}/bulk-ship/quote

Quote the card platform physical card shipment fees for the authenticated user's card.

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
cardId (path)unknownYes
userId (query)unknownNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
SuccessbooleanNo
CardIdunknownNo
UserIdunknownNo
ExternalCardIdstringNo
ShipmentExecutedbooleanNo
Feesarray of CardPhysicalShipmentFeeV2No
FeeZonestringNo
FeeBinIdstringNo
CustomerPaysForProductionbooleanNo
CustomerPaysForShippmentbooleanNo
CustomerProductionAmountstringNo
CustomerShippingAmountstringNo
RequiredAmountstringNo
AvailableAmountstringNo
ShortfallstringNo
CardUnloadAttemptedbooleanNo
CardUnloadSucceededbooleanNo
CardUnloadAmountstringNo
TaskIdstringNo
StatusstringNo
MessagestringNo
ErrorCodestringNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
SuccessbooleanNo
CardIdunknownNo
UserIdunknownNo
ExternalCardIdstringNo
ShipmentExecutedbooleanNo
Feesarray of CardPhysicalShipmentFeeV2No
FeeZonestringNo
FeeBinIdstringNo
CustomerPaysForProductionbooleanNo
CustomerPaysForShippmentbooleanNo
CustomerProductionAmountstringNo
CustomerShippingAmountstringNo
RequiredAmountstringNo
AvailableAmountstringNo
ShortfallstringNo
CardUnloadAttemptedbooleanNo
CardUnloadSucceededbooleanNo
CardUnloadAmountstringNo
TaskIdstringNo
StatusstringNo
MessagestringNo
ErrorCodestringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
SuccessbooleanNo
CardIdunknownNo
UserIdunknownNo
ExternalCardIdstringNo
ShipmentExecutedbooleanNo
Feesarray of CardPhysicalShipmentFeeV2No
FeeZonestringNo
FeeBinIdstringNo
CustomerPaysForProductionbooleanNo
CustomerPaysForShippmentbooleanNo
CustomerProductionAmountstringNo
CustomerShippingAmountstringNo
RequiredAmountstringNo
AvailableAmountstringNo
ShortfallstringNo
CardUnloadAttemptedbooleanNo
CardUnloadSucceededbooleanNo
CardUnloadAmountstringNo
TaskIdstringNo
StatusstringNo
MessagestringNo
ErrorCodestringNo

Example request

curl -X GET "https://{base_url}/api/v2/cards/{cardId}/bulk-ship/quote" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.